> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Limits

> Provides theoretical maximum asset-specific trading limits for each trading session. These limits are per-user, not global. This API reflects Ondo's statically defined limits; for dynamic, real-time values, see [Get Trading Limits](https://docs.ondo.finance/api-reference/limits/get-trading-limits))

Limits:
- The "Max Attestation Count" limits the number of non-expired, non-executed attestations. For example if the limit is 50, and a user has 50 outstanding attestations, they must wait for one to execute or expire before requesting another.
- The "Max Active Notional Value" limit is based on the dollar value of outstanding attestations. That is, if a user has a limit of \$1,000,000, and has 30 non-expired, non-filled attestations at a value of \$999,000, they will not be able to request another attestation for \$1000.

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/limits/session
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/limits/session:
    get:
      tags:
        - Limits
      summary: Get Session Limits
      description: >
        Provides theoretical maximum asset-specific trading limits for each
        trading session. These limits are per-user, not global. This API
        reflects Ondo's statically defined limits; for dynamic, real-time
        values, see [Get Trading
        Limits](https://docs.ondo.finance/api-reference/limits/get-trading-limits))


        Limits:

        - The "Max Attestation Count" limits the number of non-expired,
        non-executed attestations. For example if the limit is 50, and a user
        has 50 outstanding attestations, they must wait for one to execute or
        expire before requesting another.

        - The "Max Active Notional Value" limit is based on the dollar value of
        outstanding attestations. That is, if a user has a limit of \$1,000,000,
        and has 30 non-expired, non-filled attestations at a value of \$999,000,
        they will not be able to request another attestation for \$1000.


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getSessionLimits
      parameters:
        - name: symbol
          in: query
          description: The GM token symbol.
          example: AAPLon
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionLimitsResponse'
              example:
                - limits:
                    - symbol: AAPLon
                      premarket:
                        tradable: true
                        maxAttestationCount: '500'
                        maxActiveNotionalValue: '10000'
                      regular:
                        tradable: true
                        maxAttestationCount: '500'
                        maxActiveNotionalValue: '200000'
                      postmarket:
                        tradable: true
                        maxAttestationCount: '500'
                        maxActiveNotionalValue: '200000'
                      overnight:
                        tradable: true
                        maxAttestationCount: '500'
                        maxActiveNotionalValue: '200000'
                    - ...
                  timestamp: 1769192550134
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: One of the request parameters is invalid.
                    documentation: https://docs.ondo.finance/api-reference/error-codes
                    code: INVALID_SYMBOL
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '404':
          description: The provided asset symbol does not exist and cannot be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: ASSET_NOT_FOUND
                    message: asset not found
                    documentation: https://docs.ondo.finance/api-reference/error-codes
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    SessionLimitsResponse:
      type: object
      properties:
        limits:
          type: array
          items:
            $ref: '#/components/schemas/AssetLimits'
        timestamp:
          type: number
          description: >-
            The Unix timestamp in milliseconds when the trading limits were last
            updated.
          example: 1769116067536
      required:
        - limits
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    AssetLimits:
      type: object
      properties:
        symbol:
          type: string
          example: AAPLon
          description: The GM token symbol.
        premarket:
          $ref: '#/components/schemas/SessionLimits'
        regular:
          $ref: '#/components/schemas/SessionLimits'
        postmarket:
          $ref: '#/components/schemas/SessionLimits'
        overnight:
          $ref: '#/components/schemas/SessionLimits'
      required:
        - symbol
        - premarket
        - regular
        - postmarket
        - overnight
    SessionLimits:
      type: object
      properties:
        tradable:
          type: boolean
          description: A flag indicating whether trading is enabled during the session.
          enum:
            - true
            - false
          example: true
        maxAttestationCount:
          type: string
          description: >-
            The maximum number of active attestations allowed during the
            session.
          example: '1000'
        maxActiveNotionalValue:
          type: string
          description: >-
            The maximum active notional value available to trade during the
            session, represented as a string-encoded integer.
          example: '1000000'
      required:
        - tradable
        - maxAttestationCount
        - maxActiveNotionalValue
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````